ap/postgresql: Added.

slackware-14.2
Damien Goutte-Gattat 2008-12-14 00:50:44 +01:00
parent 07ca5d3137
commit ec3e1653f0
8 changed files with 343 additions and 0 deletions

View File

@ -0,0 +1 @@
b933f26a70bef9a5971c0ff2f392e293eed138b2 postgresql-8.3.3.tar.bz2

View File

@ -0,0 +1,125 @@
#!/bin/bash
# Build script for Slackware
# Damien Goutte-Gattat "gouttegd" <damien.goutte-gattat at e.ujf-grenoble.fr>
#
# Redistribution and use of this script, with or without modifications, is
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# Latest postgresql sourcecode is available at:
# http://www.postgresql.org/
# Source package infos
NAMESRC=${NAMESRC:-postgresql}
VERSION=${VERSION:-8.3.3}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.bz2}
WGET=${WGET:-ftp://ftp3.fr.postgresql.org/pub/postgresql/source/v8.3.1/$ARCHIVE}
# Built package infos
NAMETGZ=${NAMETGZ:-postgresql-client}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-i486}
TARGET=${TARGET:-i486}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMETGZ}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity check
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exist or is not a directory!"
exit 1
fi
# Compilation flags
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget "$WGET"
fi
sha1sum -c $ARCHIVE.sha1
NAME=$(tar ft $ARCHIVE | head -1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
./configure \
--prefix=/usr \
--enable-thread-safety \
--with-docdir=/usr/doc/$NAME \
--with-python \
--with-ldap \
--with-openssl \
--with-libxml \
--with-libxslt \
--with-system-tzdata=/usr/share/zoneinfo \
--with-gnu-ld
make -j 3
make -C src/bin install DESTDIR=$PKG
make -C src/include install DESTDIR=$PKG
make -C src/interfaces install DESTDIR=$PKG
make -C doc install DESTDIR=$PKG
# Strip binaries
find $PKG | xargs file | grep "ELF 32-bit LSB" | cut -d : -f 1 | \
xargs strip --strip-unneeded 2> /dev/null
# Compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
# Install the documentation
install -m 644 \
COPYRIGHT HISTORY INSTALL README doc/FAQ doc/FAQ_DEV doc/KNOWN_BUGS \
doc/MISSING_FEATURES doc/TODO \
$PKG/usr/doc/$NAME
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMETGZ-$VERSION-$ARCH-$BUILD.tgz
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

View File

@ -0,0 +1,12 @@
|-----handy-ruler------------------------------------------------------|
postgresql-client: postgresql-client (PostgreSQL DBMS client)
postgresql-client:
postgresql-client: PostgreSQL is an advanced object-relational database
postgresql-client: management system that supports an extended subset of the
postgresql-client: SQL standard, including transactions, foreign keys,
postgresql-client: subqueries, triggers, user-defined types and functions.
postgresql-client: This distribution also contains C language bindings.
postgresql-client:
postgresql-client: This package installs only the client applications and
postgresql-client: interface libraries.
postgresql-client:

26
ap/postgresql/doinst.sh Normal file
View File

@ -0,0 +1,26 @@
#!/bin/sh
config()
{
NEW="$1"
OLD="`dirname $NEW`/`basename $NEW .new`"
if [ ! -r $OLD ]; then
mv $NEW $OLD
elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
rm $NEW
fi
}
config /etc/rc.d/rc.postgresql.new
if ! grep ^postgres /etc/group > /dev/null ; then
/usr/sbin/groupadd postgres
fi
if ! grep ^postgres /etc/passwd > /dev/null ; then
/usr/sbin/useradd -c PostgreSQL -d /var/lib/pgsql -g postgres postgres
fi
if [ ! -d /var/lib/pgsql ]; then
mkdir -p /var/lib/pgsql
chown postgres:postgres /var/lib/pgsql
su - postgres -c '/usr/bin/initdb -D /var/lib/pgsql'
fi

View File

@ -0,0 +1 @@
b933f26a70bef9a5971c0ff2f392e293eed138b2 postgresql-8.3.3.tar.bz2

View File

@ -0,0 +1,133 @@
#!/bin/bash
# Build script for Slackware
# Damien Goutte-Gattat "gouttegd" <damien.goutte-gattat at e.ujf-grenoble.fr>
#
# Redistribution and use of this script, with or without modifications, is
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# Latest postgresql sourcecode is available at:
# http://www.postgresql.org/
# Source package infos
NAMESRC=${NAMESRC:-postgresql}
VERSION=${VERSION:-8.3.3}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.bz2}
WGET=${WGET:-ftp://ftp3.fr.postgresql.org/pub/postgresql/source/v8.3.1/$ARCHIVE}
# Built package infos
NAMETGZ=${NAMETGZ:-postgresql}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-i486}
TARGET=${TARGET:-i486}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMETGZ}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity check
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exist or is not a directory!"
exit 1
fi
# Compilation flags
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget "$WGET"
fi
sha1sum -c $ARCHIVE.sha1
NAME=$(tar ft $ARCHIVE | head -1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
./configure \
--prefix=/usr \
--enable-thread-safety \
--with-docdir=/usr/doc/$NAME \
--with-python \
--with-ldap \
--with-openssl \
--with-libxml \
--with-libxslt \
--with-system-tzdata=/usr/share/zoneinfo \
--with-gnu-ld
make -j 3
make install DESTDIR=$PKG
# Build contribs
(
cd contrib
make -j 3
make install DESTDIR=$PKG
)
# Strip binaries
find $PKG | xargs file | grep "ELF 32-bit LSB" | cut -d : -f 1 | \
xargs strip --strip-unneeded 2> /dev/null
# Compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
# Install the startup script
install -D -m 644 $CWD/rc.postgresql $PKG/etc/rc.d/rc.postgresql.new
# Install the documentation
install -m 644 \
COPYRIGHT HISTORY INSTALL README doc/FAQ doc/FAQ_DEV doc/KNOWN_BUGS \
doc/MISSING_FEATURES doc/TODO \
$PKG/usr/doc/$NAME
# Copy slack-desc and doinst.sh files
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
install -m 755 $CWD/doinst.sh $PKG/install/doinst.sh
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMETGZ-$VERSION-$ARCH-$BUILD.tgz
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

View File

@ -0,0 +1,33 @@
#!/bin/sh
PGUSER=postgres
PGDATA=/var/lib/pgsql
PGCTL=/usr/bin/pg_ctl
PGLOG=$PGDATA/serverlog
case "$1" in
start)
su - $PGUSER -c "$PGCTL start -D $PGDATA -l $PGLOG"
;;
stop)
su - $PGUSER -c "$PGCTL stop -D $PGDATA -m smart"
;;
restart)
su - $PGUSER -c "$PGCTL restart -D $PGDATA -l $PGLOG -m smart"
;;
reload)
su - $PGUSER -c "$PGCTL reload -D $PGDATA"
;;
status)
su - $PGUSER -c "$PGCTL status -D $PGDATA"
;;
*)
echo "Usage: `basename $0` {start|stop|restart|reload|status}" 1>&2
exit 1
;;
esac

12
ap/postgresql/slack-desc Normal file
View File

@ -0,0 +1,12 @@
|-----handy-ruler------------------------------------------------------|
postgresql: postgresql (PostgreSQL Database Management System)
postgresql:
postgresql: PostgreSQL is an advanced object-relational database management
postgresql: system that supports an extended subset of the SQL standard,
postgresql: including transactions, foreign keys, subqueries, triggers,
postgresql: user-defined types and functions. This distribution also contains
postgresql: C language bindings.
postgresql:
postgresql:
postgresql:
postgresql: